Bug 1305421 - Downstream document for setting up QEMU and Libvirt for using librbd
Downstream document for setting up QEMU and Libvirt for using librbd
Status: CLOSED CURRENTRELEASE
Product: Red Hat Ceph Storage
Classification: Red Hat
Component: Documentation (Show other bugs)
1.3.2
All All
unspecified Severity high
: rc
: 1.3.3
Assigned To: Aron Gunn
Ramakrishnan Periyasamy
:
Depends On:
Blocks: 1223652
  Show dependency treegraph
 
Reported: 2016-02-08 02:20 EST by Tanay Ganguly
Modified: 2016-09-30 13:19 EDT (History)
10 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-09-30 13:19:47 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tanay Ganguly 2016-02-08 02:20:13 EST
Description of problem:
I am unable to find any downstream document for setting up QEMU using libvirt for librbd

Version-Release number of selected component (if applicable):
Till 1.3.2

How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:
Need a document for downstream

Upstream document reference:
QEMU and Block Devices: http://docs.ceph.com/docs/master/rbd/qemu-rbd/
Using libvirt with Ceph RBD: http://docs.ceph.com/docs/master/rbd/libvirt/


Additional info:
I have earlier created a document which can be taken as a Base to create the downstream document, sharing the link below:

https://docs.google.com/a/redhat.com/document/d/1uXXpQX5eTmBm1-OpoGPL5UeWKNtIsa6Jpjt_IGTERtw/edit?usp=sharing
Comment 5 Ramakrishnan Periyasamy 2016-09-19 02:59:57 EDT
Hi Aron,

I am unable to see any section added related to QEMU in Preview link(mentioned in comment4), Gitlab information is not available in the Preview link.

It will be good if i can get the updated document link soon, so that bug can moved to closure.

Regards,
Ramakrishnan
Comment 8 Ramakrishnan Periyasamy 2016-09-20 09:06:48 EDT
Hi Aron,

I am unable to configure ceph rbd image as boot volume for QEMU as per the document steps suggested in comment6. It is missing the packages needs to be installed, configuring ceph keyring part and some more steps which will be question to the user.

Update the document with steps provided in below document(same link is available in bug description).
https://docs.google.com/document/d/1uXXpQX5eTmBm1-OpoGPL5UeWKNtIsa6Jpjt_IGTERtw/edit

Using above link QEMU boot volume from ceph rbd image is successfully configurable. We would suggest to add the same steps in document.

Regards,
Ramakrishnan
Comment 10 Hemanth Kumar 2016-09-21 05:12:53 EDT
Few more changes required in the Doc

Under Chapter 6. QEMU

PLEASE REMOVE THE BELOW SECTION FROM THE DOC

This doesn't work as we are not using this method for creating a rbd image using any third party application. Instead we create a Image and map them to boot the VM Instance. 
============================================================
 The QEMU command line expects you to specify the pool name and image name. You may also specify a snapshot name.

QEMU will assume that the Ceph configuration file resides in the default location, for example, /etc/ceph/ceph.conf and that you are executing commands as the default client.admin user unless you expressly specify another Ceph configuration file path or another user. When specifying a user, QEMU uses the ID rather than the full TYPE:ID. See the Red Hat Ceph Storage Administration Guide for more details on User Management. Do not prepend the client type to the beginning of the user ID, or you will receive an authentication error. You should have the key for the admin user or the key of another user you specify with the :id=<user> option in a keyring file stored in default path, that is, /etc/ceph/ or the local directory with appropriate file ownership and permissions.
Syntax

# qemu-img command [command_options] rbd:<pool_name>/<image_name>[@snapshot_name][:option1=value1][:option2=value2...]

Example

# qemu-img command [command_options] rbd:data/example:id=glance:conf=/etc/ceph/ceph.conf

Note

Configuration values containing :, @, or = can be escaped with a leading \ character. 


============================================================================

6.1. Quick Start

Please add a note saying Qemu-KVM should be supported by the Client Node and libvirtd service is running.

Remove the following sections as these are CLI qemu commands and it's not required :-
6.2. Creating Images
6.3. Resizing Images
6.4. Retrieving Image Information
6.5. Running the Images
6.6. Enabling TRIM Support
6.7. Cache Options
Comment 12 Ramakrishnan Periyasamy 2016-09-21 11:48:11 EDT
Document for QEMU updated, moving the bug to verified state.

Note You need to log in before you can comment on or make changes to this bug.